Divide two arbitrary precision numbers

- « bccomp

- bcmod »

- PHP Manual
- BC Math Functions
- Divide two arbitrary precision numbers

# bcdiv

(PHP 4, PHP 5, PHP 7, PHP 8)

bcdiv — Divide two arbitrary precision numbers

### Description

bcdiv(string `$num1`, string `$num2`, ?int `$scale` = `null`): string

Divides the `num1` by the `num2`.

### Parameters

`num1`

  The dividend, as a string.

`num2`

  The divisor, as a string.

`scale`

  This optional parameter is used to set the number of digits after the decimal place in the result. If omitted, it will default to the scale set globally with the bcscale() function, or fallback to `0` if this has not been set.

### Return Values

Returns the result of the division as a string, or `null` if `num2` is `0`.

### Changelog

Version | Description
--- | ---
8.0.0 | `scale` is now nullable.

### Examples

Example #1 bcdiv() example

    <?phpecho bcdiv('105', '6.55957', 3);  // 16.007?>

### See Also

- bcmul() - Multiply two arbitrary precision numbers